SDL_GPUViewport(3type)

NAME
SDL_GPUViewport - A structure specifying a viewport.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_GPUViewport
{
    float x;          /**< The left offset of the viewport. */
    float y;          /**< The top offset of the viewport. */
    float w;          /**< The width of the viewport. */
    float h;          /**< The height of the viewport. */
    float min_depth;  /**< The minimum depth of the viewport. */
    float max_depth;  /**< The maximum depth of the viewport. */
} SDL_GPUViewport;

AVAILABILITY
This struct is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_SetGPUViewport(3)